> ## Documentation Index
> Fetch the complete documentation index at: https://docs.tightknit.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Update calendar event attendee

> Updates a calendar event attendee record.



## OpenAPI

````yaml https://api.tightknit.ai/doc-mintlify patch /admin/v0/calendar_events/{calendar_event_id}/attendees
openapi: 3.1.0
info:
  version: 0.0.0
  title: Tightknit OpenAPI
servers:
  - url: https://api.tightknit.ai
    description: Production server
security:
  - Bearer: []
paths:
  /admin/v0/calendar_events/{calendar_event_id}/attendees:
    patch:
      tags:
        - Calendar Events
      summary: Update calendar event attendee
      description: Updates a calendar event attendee record.
      parameters:
        - schema:
            type: string
            minLength: 1
          required: true
          name: calendar_event_id
          in: path
        - schema:
            type: string
            enum:
              - application/json
          required: true
          name: content-type
          in: header
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              properties:
                user:
                  anyOf:
                    - type: object
                      properties:
                        slack_user_id:
                          type: string
                          pattern: ^U[A-Z0-9]{8,20}$
                      required:
                        - slack_user_id
                      additionalProperties: false
                    - type: object
                      properties:
                        email:
                          type: string
                          format: email
                      required:
                        - email
                      additionalProperties: false
                    - type: object
                      properties:
                        profile_id:
                          type: string
                          format: uuid
                      required:
                        - profile_id
                      additionalProperties: false
                  description: >-
                    The user identifier, which must be exactly one of the
                    following: Slack user ID, email, or Tightknit profile ID
                personal_join_link:
                  type: string
                  format: uri
              required:
                - user
      responses:
        '200':
          description: Calendar event attendee updated
          content:
            application/json:
              schema:
                type: object
                properties:
                  success:
                    type: boolean
                required:
                  - success
        '400':
          description: Returns an error
          content:
            application/json:
              schema:
                type: object
                properties:
                  success:
                    type: boolean
                  error:
                    type: object
                    properties:
                      code:
                        type: string
                      message:
                        type: string
                      hint:
                        type: string
                    required:
                      - code
                      - message
                required:
                  - success
                  - error
        '403':
          description: Returns a Forbidden error
          content:
            application/json:
              schema:
                type: object
                properties:
                  success:
                    type: boolean
                  error:
                    type: object
                    properties:
                      code:
                        type: string
                      message:
                        type: string
                      hint:
                        type: string
                    required:
                      - code
                      - message
                required:
                  - success
                  - error
        '404':
          description: Returns a Not Found error
          content:
            application/json:
              schema:
                type: object
                properties:
                  success:
                    type: boolean
                  error:
                    type: object
                    properties:
                      code:
                        type: string
                      message:
                        type: string
                      hint:
                        type: string
                    required:
                      - code
                      - message
                required:
                  - success
                  - error
        '500':
          description: Returns an Internal Server Error
          content:
            application/json:
              schema:
                type: object
                properties:
                  success:
                    type: boolean
                  error:
                    type: object
                    properties:
                      code:
                        type: string
                      message:
                        type: string
                      hint:
                        type: string
                    required:
                      - code
                      - message
                required:
                  - success
                  - error
components:
  securitySchemes:
    Bearer:
      type: http
      scheme: bearer
      bearerFormat: JWT

````

## Related topics

- [CLI](/integrations/cli.md)
- [Event Registration](/events/event-registration.md)
- [Triggered when a calendar event ends](/api-reference/webhooks/triggered-when-a-calendar-event-ends.md)
- [List calendar events](/api-reference/calendar-events/list-calendar-events.md)
- [Triggered when a calendar event is published](/api-reference/webhooks/triggered-when-a-calendar-event-is-published.md)
